{% extends "senat_campaign/base.html" %}
{% load static wagtailimages_tags wagtailcore_tags %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--alternate section--lead" id="uvod">
    <div class="container">
      <div class="row align-items-center">

        <div class="col-12 col-md-7 col-lg-7 mb-5 mb-md-0 py-4 text-center text-md-left">
          <h1 class="lead homepage-heading">{% if page.degree_before %}<small>{{ page.degree_before }}</small>&nbsp;{% endif %}{{ page.root_page.full_name }}{% if page.degree_after %}<small>,&nbsp;{{ page.degree_after }}</small>{% endif %}</h1>
          <p class="lead mb-5">{{ page.headline }}</p>

            <div class="row align-items-center">
              {% if page.root_page.has_program %}
              <div class="col-12 col-lg-auto mb-4 mb-lg-0">
                <a href="#priority" class="btn btn-dark btn-lg js-scroll-anchor">Moje priority <i class="icon-chevron-right ml-2"></i></a>
              </div><!-- /column -->
              {% endif %}
              <div class="col-12 col-lg-auto">
                <div class="uvod__image-wrapper">
                  <a href="https://www.pirati.cz" target="_blank"><img data-src="{% static "senat_campaign/img/logo_napis.png" %}" class="lazyload img-fluid" alt="Logo pirátské strany"></a>
                </div><!-- /uvod__image-wrapper -->
              </div><!-- /column -->
            </div> <!-- /row -->

        </div><!-- /column -->

        <div class="col-12 col-md-5 offset-lg-1 col-lg-4 text-center">
          {% if page.top_photo %}
          {% image page.top_photo width-350 as top_photo %}
          <img data-src="{{ top_photo.url }}" class="lazyload img-fluid mb-4" alt="{{ page.root_page.full_name }}">
          {% endif %}
          <h3 class="lead mb-0">{% if page.claim %}„{{ page.claim }}“{% endif %}</h3>
        </div><!-- /column -->

      </div> <!-- /row -->
    </div> <!-- /container -->
  </section>


  {% if page.root_page.has_program %}
  <section class="section--primary" id="priority">
    <div class="container">
      <div class="row">

        <div class="col-12 col-lg-4 mb-5 mb-lg-0">
          <h2 class="lead page-subheading mb-5">Moje priority</h2>
          <div class="card priorities__box mb-1 mb-lg-5">
            <div class="card-body">
              <h5 class="card-title">Kam mířím?</h5>
              <p>Výbory a komise Senátu PČR - pro mne nejdůležitější.</p>
              <ul class="priorities__list">
                {% for item in program_page.committee_preference %}
                <li>
                  <span class="bullet"><i class="icon-check"></i></span>
                  <span class="text">{% include_block item %}</span>
                </li>
                {% endfor %}
              </ul>
            </div>
          </div><!-- /priorities__box -->

          <a href="{% pageurl program_page %}" class="btn btn-dark btn-block btn-lg priorities__button d-none d-lg-block">Priority a činnost <i class="icon-chevron-right ml-2"></i></a>

        </div><!-- /column -->
        <div class="col-12 col-lg-7 offset-lg-1">

          <div class="row">

            {% for item in program_page.content %}
            <div class="col-12 col-sm-6 priority mb-4">
              <a href="{% pageurl program_page %}">
                <div class="priority__icon">
                  {% image item.value.image fill-160x160 as img %}
                  <img data-src="{{ img.url }}" class="lazyload img-fluid" alt="{{ img.alt }}">
                </div>
                <div class="priority__content">
                  <h5 class="priority__heading">{{ item.value.title }}</h5>
                  <p class="priority__text">{{ item.value.perex }}</p>
                </div>
              </a>
            </div><!-- /column -->
            {% endfor %}

          </div><!-- /row -->

        </div><!-- /column -->

        <div class="col-12 d-lg-none">
          <a href="{% pageurl program_page %}" class="btn btn-dark btn-block btn-lg priorities__button mt-4 ">Podrobný program <i
              class="icon-chevron-right ml-2"></i></a>
        </div>

      </div> <!-- /row -->
    </div> <!-- /container -->
  </section>
  {% endif %}


  {% if page.about_left or page.about_right %}
  <section class="section--alternate" id="kdojsem">
    <div class="container">
      <h2 class="lead page-subheading mb-4">Kdo jsem</h2>

      <div class="row mb-4">
        <div class="col-12 col-lg-6 richtext">
          {{ page.about_left|richtext }}
        </div><!-- /column -->
        <div class="col-12 col-lg-6 richtext">
          {{ page.about_right|richtext }}
        </div><!-- /column -->
      </div><!-- /row -->

      {% if page.about_gallery %}
      <div class="row about-images mb-4">
        {% for block in page.about_gallery %}
          {% image block.value width-2000 as img %}
          {% image block.value fill-300x200 as thumb %}
          <div class="col-6 col-md-3 mb-4">
            <a data-fancybox="gallery" href="{{ img.url }}"><img data-src="{{ thumb.url }}" class="lazyload img-fluid" alt="{{ thumb.alt }}"></a>
          </div><!-- /column -->
        {% endfor %}
      </div><!-- /row -->
      {% endif %}

    </div> <!-- /container -->
  </section>
  {% endif %}

  {% if page.root_page.has_donations %}
  <section class="section--black">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-7 col-lg-8">
        <h2 class="lead mb-4 mb-lg-0">Líbí se vám hodnoty, které zastávám?</h2>
        </div>
        <div class="col-md-5 col-lg-4 text-md-center">
          <a href="{{ page.root_page.donations_url }}" class="btn btn-success support_buton btn-lg">Podpořte mě<i class="icon-heart ml-2" title="Ikona srdce"></i></a>
        </div>
      </div><!-- /row -->
    </div> <!-- /container -->
  </section>
  {% endif %}

  {% if page.root_page.has_news %}
  <section class="section--primary{% if page.root_page.has_calendar %} section--no-bottom-padding{% endif %}" id="aktuality">
    <div class="container">

      <h2 class="lead page-subheading mb-4">Aktuality</h2>

      <div class="row news mb-4">

        {% for article in articles %}
        <div class="col-12 col-md-4 mb-4 mb-md-0">
          <a class="card news__item" href="{% pageurl article %}">
            {% image article.specific.photo fill-400x230 as img %}
            <img data-src="{{ img.url }}" class="lazyload img-fluid card-img-top" alt="{{ article.title }}">
            <div class="card-body">
              <h5>{{ article.title }}</h5>
              <p>{{ article.specific.perex }}</p>
            </div>
            <div class="card-footer">
              <span>přidáno {{ article.specific.date }}</span>
            </div>
          </a>
        </div><!-- /column -->
        {% endfor %}

      </div> <!-- /row -->

      <a href="{{ news_url }}" class="btn btn-dark btn-lg my-2">Všechny aktuality <i
          class="icon-chevron-right ml-2"></i></a>

    </div> <!-- /container -->
  </section>
  {% endif %}


  {% if page.root_page.has_calendar %}
  <section class="section--primary" id="kalendar">
    <div class="container">

      <div class="calendar">
        <div class="calendar__left">
          <div class="calendar__icon">
            <i class="icon-calendar"></i>
          </div><!-- /calendar__icon -->
          <div class="calendar__left-content">
            <h3 class="lead mb-3">Kalendář akcí</h3>
            <button class="btn btn-light btn-lg" data-toggle="modal" data-target="#calendarModal">Všechny akce <i
                class="icon-chevron-right ml-2"></i></button>
          </div><!-- /calendar__left-content -->
        </div><!-- /calendar__left -->
        <div class="calendar__right">

          {% for event in page.root_page.calendar.current_events %}
            {% include "senat_campaign/calendar_event_snippet.html" %}
          {% empty %}
            <div class="calendar__row__content">
              <p>Žádné události.</p>
            </div>
          {% endfor %}

        </div><!-- /calendar__right -->

      </div><!-- /calendar -->

    </div><!-- /container -->
  </section>
  {% endif %}

  {% if page.financials %}
  <section class="section--alternate" id="financovani">
    <div class="container">

      <h2 class="lead page-subheading mb-4">Transparentní financování</h2>

      {% for item in page.financials %}
      {% if item.block_type == "link" %}
      <a class="finance__item" href="{{ item.value.url }}" target="_blank">
      {% else %}
      <a class="finance__item" href="{{ item.value.doc.url }}" target="_blank">
      {% endif %}
        <div class="finance__icon">
          <i class="icon-external-link"></i>
        </div>
        <div class="finance__content">
          <h6>{{ item.value.label }}</h6>
        </div>
        <div class="finance__action">
          <span class="btn btn-dark">Zobrazit</span>
        </div>
      </a><!-- /finance__item -->
      {% endfor %}

    </div><!-- /container -->
  </section>
  {% endif %}

  {% if page.root_page.has_calendar %}
  <!-- Calendar modal -->
  <div class="modal fade calendar__modal" id="calendarModal" tabindex="-1" role="dialog"
    aria-labelledby="calendarModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title lead" id="calendarModalTitle">Kalendář</h3>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div><!-- /modal-header -->
        <div class="modal-body">
          <ul class="nav nav-pills" id="myTab" role="tablist">
            <li class="nav-item">
              <a class="nav-link active" id="upcomingEvents-tab" data-toggle="tab" href="#upcomingEvents" role="tab"
                aria-controls="upcomingEvents" aria-selected="true">Nadcházející akce</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" id="pastEvents-tab" data-toggle="tab" href="#pastEvents" role="tab"
                aria-controls="pastEvents" aria-selected="false">Uplynulé akce</a>
            </li>
          </ul>
        </div><!-- /modal-body -->

        <div class="tab-content">
          <div class="tab-pane fade show active" id="upcomingEvents" role="tabpanel"
            aria-labelledby="upcomingEvents-tab">

            <div class="calendar__right">

              {% for event in page.root_page.calendar.future_events %}
                {% include "senat_campaign/calendar_event_snippet.html" %}
              {% empty %}
                <div class="calendar__row__content">
                  <p>Žádné události.</p>
                </div>
              {% endfor %}

            </div><!-- /calendar__right -->

          </div><!-- /tab-pane -->
          <div class="tab-pane fade" id="pastEvents" role="tabpanel" aria-labelledby="pastEvents-tab">

            <div class="calendar__right">
              {% for event in page.root_page.calendar.past_events|slice:":10" %}
                {% include "senat_campaign/calendar_event_snippet.html" %}
              {% empty %}
                <div class="calendar__row__content">
                  <p>Žádné události.</p>
                </div>
              {% endfor %}
            </div><!-- /calendar__right -->

          </div><!-- /tab-pane -->
        </div><!-- /tab-content -->

      </div><!-- /modal-content -->
    </div><!-- /modal-dialog -->
  </div><!-- /calendar__modal -->
  {% endif %}

</main>
<!-- /CONTENT -->

{% endblock %}
